%define prefix /usr
%define name discburner
%define version 12
%define release %mkrel 1
%define url http://kde-look.org/content/show.php/DiscBurner?content=122179

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Graphical desktop/KDE4
URL:		%{url}
Source:		%{name}-a%{version}.tar.bz2
Summary:	Plasmoid-DiscBurner
Summary(de):	Plasmoid-DiscBurner
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	kdebase4-workspace-devel
Requires:	kdelibs4
Obsoletes:	%name < %version

%description
DiscBurner
----------

burns discs :)

and some other useful disc related
functions.
eg, formatting, ripping audio
-> ogg/mp3/wav.

current projects:
- audio disc (bin, cd/dvd)
- mp3 disc (iso9660, cd/dvd)
- data disc (iso9660, cd/dvd)

Alpha status

#german
%description -l de
DiscBurner
----------

Brennt Discs:)

und einige andere nützliche Funktionen;
zB Formatierung, Rippen von Audio-
-> Ogg/mp3/wav.

Aktuelle Projekte:
- Audio-CD (bin, CD / DVD)
- MP3-CD (ISO9660, CD / DVD)
- Daten-CD (ISO9660, CD / DVD

Alpha Status

%prep

%setup -q -n %{name}

%build

cmake -DCMAKE_INSTALL_PREFIX=`kde4-config --prefix` 

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std 


%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_libdir}/kde4/plasma_applet_discburner.so
%{_datadir}/apps/desktoptheme/default/discburner/*
%{_datadir}/kde4/services/plasma-applet-discburner.desktop

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}

%changelog
* Sat May 29 2010 leiche <meisssw01 at aol.com> a12-1pclos2010
- import to pclinuxos for testing 